# Uses of Enum Class
org.apache.sysds.api.mlcontext.MatrixFormat

Packages that use MatrixFormat
Package
Description
org.apache.sysds.api.mlcontext

## Uses of MatrixFormat in org.apache.sysds.api.mlcontext

Methods in org.apache.sysds.api.mlcontext that return MatrixFormat
Modifier and Type
Method
Description
`MatrixFormat`
MatrixMetadata.`getMatrixFormat()`
Obtain the matrix format
`static MatrixFormat`
MatrixFormat.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MatrixFormat[]`
MatrixFormat.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.api.mlcontext with parameters of type MatrixFormat
Modifier and Type
Method
Description
`void`
MatrixMetadata.`setMatrixFormat(MatrixFormat matrixFormat)`
Set the matrix format
Constructors in org.apache.sysds.api.mlcontext with parameters of type MatrixFormat
Modifier
Constructor
Description
``
`MatrixMetadata(MatrixFormat matrixFormat)`
Constructor to create a MatrixMetadata object based on matrix format.
``
`MatrixMetadata(MatrixFormat matrixFormat, int numRows, int numColumns)`
Constructor to create a MatrixMetadata object based on matrix format, the number of rows, and the number of columns in a matrix.
``
`MatrixMetadata(MatrixFormat matrixFormat, int numRows, int numColumns, int numNonZeros)`
Constructor to create a MatrixMetadata object based on matrix format, the number of rows, the number of columns, and the number of non-zero values in a matrix.
``
`MatrixMetadata(MatrixFormat matrixFormat, int numRows, int numColumns, int numNonZeros, int blen)`
Constructor to create a MatrixMetadata object based on matrix format, the number of rows, the number of columns, the number of non-zero values, the number of rows per block, and the number of columns per block in a matrix.
``
`MatrixMetadata(MatrixFormat matrixFormat, Long numRows, Long numColumns)`
Constructor to create a MatrixMetadata object based on matrix format, the number of rows, and the number of columns in a matrix.
``
`MatrixMetadata(MatrixFormat matrixFormat, Long numRows, Long numColumns, Long numNonZeros)`
Constructor to create a MatrixMetadata object based on matrix format, the number of rows, the number of columns, and the number of non-zero values in a matrix.
``
`MatrixMetadata(MatrixFormat matrixFormat, Long numRows, Long numColumns, Long numNonZeros, Integer blen)`
Constructor to create a MatrixMetadata object based on matrix format, the number of rows, the number of columns, the number of non-zero values, the number of rows per block, and the number of columns per block in a matrix.